from skimage.transform import resize

def resize_image (proportion, image1, image2):
    assert 0 <= proportion <= 1, "Proportion needs to be between 0 and 1"
    heigth1 = round(image1.shape[0] * proportion)
    heigth2 = round(image1.shape[0] * proportion)
    width1 = round(image1.shape[1] * proportion)
    width2 = round(image1.shape[1] * proportion)
    image_resized1 = resize(image1, (heigth1, width1), anti_aliasing= True)
    image_resized2 = resize(image2, (heigth2, width2), anti_aliasing= True)
    return image_resized1, image_resized2